''' Utilidades para el manejo de logs '''

import logging

# Niveles de logs
INFO = logging.INFO
ERROR = logging.ERROR

class LogHandle:
	''' Permite redirigir la salida estándar y de error a un logger '''

	def __init__(self, level: int):
		self.level = level
		self.message = ''

	def write(self, message: str):
		self.message = self.message + message

		while '\n' in self.message:
			index = self.message.index('\n')
			logging.log(self.level, self.message[:index])
			self.message = self.message[(index + 1):]

	def flush(self):
		pass

def configurar_logs():
	''' Configura los logs con el formato deseado '''

	# Se configura el logger
	logging.basicConfig \
	(
		format = '[%(asctime)-19s] [%(levelname)-8s]: %(message)s',
		datefmt= '%d/%m/%Y %H:%M:%S',
		level= logging.DEBUG
	)

	# Se desactivan los logs para la librería 'pid'
	logging.getLogger('PidFile').setLevel(logging.WARNING)

	# Se desactivan los logs de la librería 'requests'
	logging.getLogger('urllib3').setLevel(logging.WARNING)

def error(mensaje: str):
	''' Muestra un mensaje de error '''

	logging.error(mensaje)